Bug 896672 - vncviewer (or perhaps tigervnc X server module) behavior changes in F18, doesn't work properly
vncviewer (or perhaps tigervnc X server module) behavior changes in F18, does...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: tigervnc (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-17 12:51 EST by Jonathan Kamens
Modified: 2015-06-29 07:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 07:44:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2013-01-17 12:51:37 EST
Connecting from F17 vncviewer (tigervnc) to F17 tigervnc X server module, using gnome-rdp, the VNC window kept the same size as the physical display being remoted.

Having now upgraded both my laptop and my home desktop to F18, when I do exactly the same connection, the vncviewer resizes my display to whatever the size of the VNC viewer window is. There are lots of problem with this:

1. There's no mention of the change in the release notes.
2. There's no way in gnome-rdp to specify whether this behavior is desired or to indicate the size of the desired window if it is.
3. It doesn't work. In using it just for a few minutes, I encountered several different failure modes, including: the VNC viewer window getting confused about the size of the remote display and displaying it twice as big as it actually was; gnome-shell disappearing such that I couldn't start any programs; and things getting into a weird state where my mouse clicks weren't going where my mouse pointer was.

I think this new feature needs to be turned off by default until it's more robust and preferably until there's a way to configure it in gnome-rdp (I'll file a separate gnome-rdp bug about that).
Comment 2 Fedora Admin XMLRPC Client 2013-05-13 10:54:22 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora End Of Life 2013-12-21 05:28:55 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Jonathan Kamens 2013-12-21 21:32:02 EST
This is still woefully broken in Fedora 20.

When I connect using vncviewer to the tigervnc server module, my display is resized. However, the top bar isn't resized, so I can no longer get to the controls at the top right corner of the screen such as the ones to open the settings control panel. While I'm connected, things work horribly. When I disconnect, my display isn't put back to its old size. When I try to run gnome-control-center manually from a terminal and then mess with the screen settings to try to get it to go back the way it was, my session crashes. When I log in again, the display is totally messed up. Only after I do "sudo systemctl stop gdm" and "sudo systemctl start gdm" in a separate VTY and then log in again does everything go back to normal.

Please, please, PLEASE turn off the display resize functionality in the tigervnc server module, or at least don't make it the default behavior of vncviewer.
Comment 5 Fedora End Of Life 2015-05-29 04:51:35 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-06-29 07:44:16 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.